import {get,post} from '@/api/index'

export default{
  // 获取报告详情
  getReportDetail:params=>{
    return get('/report/detail',params)
  },
  // 收藏报告
  reportCollect:params=>{
    return post('/myreport/collect',params)
  },
  // 取消收藏报告
  reportCollectCancel:params=>{
    return post('/myreport/collectCancel',params)
  },

  // 获取PDF报告详情
  getPdfReportDetail:params=>{
    return get('/report/pdf/detail',params)
  },
  // 收藏PDF报告
  pdfReportCollect:params=>{
    return post('/myreport/pdf/collect',params)
  },
  // 取消收藏PDF报告
  pdfReportCollectCancel:params=>{
    return post('/myreport/pdf/collectCancel',params)
  },
  // 获取推送报告列表
  getReportList:params=>{
    return get('h5/report/list',params)
  },
   // 报告首页搜索
   getReportSearch:params=>{
    return get('h5/report/search',params)
  },
  // 推送报告详情
  getPushReportDetail:params=>{
    return get('h5/report/detail',params)
  },
  // 推送报告品种 chartPermissonId
  permissionList:params=>{
    return get('h5/chart_perimission/list',params)
  },
  // 推送报告分类
  reportClassifyOpts:params=>{
    return get('h5/chart_perimission/classify/tree',params)
  },
}